#include <bits/stdc++.h>
using namespace std;

const int N = 2 * 1e6 + 10;
int a[N];
int offset = 1e6;

int main () {
    ios::sync_with_stdio(false);

    int n, k, tmp;
    int res = 0;

    cin >> n >> k;

    for (int i = 0 ; i < n ; i++) {
        cin >> tmp;
        a[tmp + offset]++;
    }


    for(int i = 0 ; i < N ; i++) {
        if (a[i] >= k) res++;
    }

    cout << res << "\n";

    for(int i = 0 ; i < N ; i++) {
        if (a[i] >= k) cout << i - offset << " "; 
    }
    cout << "\n";

    return 0;
}